<?php
	require_once("config/connect.php");
	require_once("config/pageConfig.php");
	require_once("global_functions.php");
	//check_login('', '', 'ENABLERKEY_ADMIN_KONFIGURATION');
?>
<head>
	<title>SITPOS R&auml;ume</title>
	
	<?php echo META_DATA_ADMIN; ?>

		<style type="text/css">
		<?php include 'include/main.css'; ?>
		<?php include 'include/menue.css'; ?>
		<?php
			if (isset($_REQUEST['bildschirm']))
			$bildschirm=$_REQUEST['bildschirm'];
			else $bildschirm=false;
		?>
		a.pme-navigation-0, a.pme-navigation-1, a.pme-navigation-0:hover, a.pme-navigation-1:hover, td.pme-navigation-0, td.pme-navigation-1 {width:160px; }
		.pme-main {width:auto !important; }
		</style>
		<script>
			function abholschein_schliessen(abholschein_div)
			{
				//alert(abholschein_div);
				// Abholschein div löschen
				var element = document.getElementById(abholschein_div);
				// Wenn nichts markiert ist, dann tu auch nix
				if (element.getElementsByClassName("bildschirm_line_selected").length == 0 && element.getElementsByClassName("bildschirm_line_annonciert").length == 0)
				{
					return;
				}
				
				// Wenn alle markiert sind, dann einfach den div löschen
				/*
				if (element.getElementsByClassName("bildschirm_line_unselected").length == 0)
				{
					element.parentNode.removeChild(element);
				}
				else // hier sind jetzt wohl teilweise die Zeilen markiert
				{
					// und jetzt? glaub gar nix
				}
				*/
				
				zeilen=element.getElementsByClassName("bildschirm_line_selected");
				var zeilen_id = [];
				for (var i = 0, n = zeilen.length; i < n; ++i) 
				{
					zeilen_id[i] = zeilen[i].id;
				}
				
				zeilen_ann=element.getElementsByClassName("bildschirm_line_annonciert");
				for (var i = 0, n = zeilen_ann.length; i < n; ++i) 
				{
					zeilen_id.push(zeilen_ann[i].id);
				}
				
				/*
				// die einzelenen Zeilen die vorher selektiert waren jetzt löschen
				$("#"+abholschein_div).find(".bildschirm_line_selected").remove();
				// und jetzt die restlichen wieder markieren
				$("#"+abholschein_div).find(".bildschirm_line_unselected").addClass("bildschirm_line_selected");
				$("#"+abholschein_div).find(".bildschirm_line_selected").removeClass("bildschirm_line_unselected");
				*/
				
				$.ajax({
					type: "POST",
					url: "kuechenbildschirm_ajax.php",
					dataType : "html",
					data: {funktion: "abholschein_loeschen", abholschein_nr: abholschein_div, zeilen: JSON.stringify(zeilen_id)},
					async: true,
					success:function(html){
						//$("#menue_warenkoerbe").html(html);
						//alert (html);
						
					}
				})
				rechts_anzeigen('<?php echo $bildschirm ?>');
				links_anzeigen('<?php echo $bildschirm ?>');
			}
			
			function abholschein_annoncieren(abholschein_div)
			{
				var element = document.getElementById(abholschein_div);

				if (element.getElementsByClassName("bildschirm_line_selected").length == 0)
				{
					return;
				}
				
				zeilen=element.getElementsByClassName("bildschirm_line_selected");
				var zeilen_id = [];
				var zeilen_element;
				for (var i = 0, n = zeilen.length; i < n; ++i) 
				{
					zeilen_id[i] = zeilen[i].id;
					zeilen_element = document.getElementById(zeilen_id[i]);
				}
				
				$.ajax({
					type: "POST",
					url: "kuechenbildschirm_ajax.php",
					dataType : "html",
					data: {funktion: "abholschein_annoncieren", abholschein_nr: abholschein_div, zeilen: JSON.stringify(zeilen_id)},
					async: true,
					success:function(html){
						//$("#menue_warenkoerbe").html(html);
						//alert (html);
						
					}
				})
				rechts_anzeigen('<?php echo $bildschirm ?>');
				links_anzeigen('<?php echo $bildschirm ?>');
			}
			
			function toggle_select_line(bon_id)
			{		
					var div="zeile_"+bon_id;
					//alert(div);
					var target = document.getElementById( div );
					var class1=target.className;
			
					if (class1 == "bildschirm_line_selected")
					{
						$(target).removeClass("bildschirm_line_selected");
						$(target).addClass("bildschirm_line_unselected");
						
						// Die Childs umsetzen
						var target1=target.childNodes[1];
						$(target1).removeClass("bildschirm_line_selected");
						$(target1).addClass("bildschirm_line_unselected");
						var target1=target.childNodes[3];
						$(target1).removeClass("bildschirm_line_selected");
						$(target1).addClass("bildschirm_line_unselected");
					}
					else 
					if (class1 == "bildschirm_line_annonciert")
					{
						$(target).removeClass("bildschirm_line_annonciert");
						$(target).addClass("bildschirm_line_selected");
						
						// Die Childs umsetzen
						var target1=target.childNodes[1];
						$(target1).removeClass("bildschirm_line_annonciert");
						$(target1).addClass("bildschirm_line_selected");
						var target1=target.childNodes[3];
						$(target1).removeClass("bildschirm_line_annonciert");
						$(target1).addClass("bildschirm_line_selected");
					}
					else 
					{
						$(target).removeClass("bildschirm_line_unselected");
						$(target).addClass("bildschirm_line_selected");
						
						// Die Childs umsetzen
						var target1=target.childNodes[1];
						$(target1).removeClass("bildschirm_line_unselected");
						$(target1).addClass("bildschirm_line_selected");
						var target1=target.childNodes[3];
						$(target1).removeClass("bildschirm_line_unselected");
						$(target1).addClass("bildschirm_line_selected");
					}	
					$.ajax({
						type: "POST",
						url: "kuechenbildschirm_ajax.php",
						dataType : "html",
						data: {funktion: "ajax_toggle_select_line", id: bon_id},
						async: true,
						success:function(html){
							//$("#kuechenbildschirm_links").html(html);
							//alert (html);
						
					}
				})
			}
			
			function rechts_anzeigen(bildschirm)
			{
				$.ajax({
					type: "POST",
					url: "kuechenbildschirm_ajax.php", 
					dataType : "html",
					data: {funktion: "kuechenbildschirm_rechts", bildschirm: bildschirm},
					async: true,
					success:function(html){
						$("#kuechenbildschirm_rechts").html(html);
						//alert (html);
						
					}
				})
			}
			
			function links_anzeigen(bildschirm)
			{
				$.ajax({
					type: "POST",
					url: "kuechenbildschirm_ajax.php",
					dataType : "html",
					data: {funktion: "kuechenbildschirm_links", bildschirm: bildschirm},
					async: true,
					success:function(html){
						$("#kuechenbildschirm_links").html(html);
						//alert (html);
						
					}
				})
			}
			
			function scroll_left() 
			{	
			  //event.preventDefault();
			  $('#kuechenbildschirm_links').animate({
				scrollLeft: "-=800px"
			  }, "fast");
			}

			 function scroll_right() 
			 {
				$('#kuechenbildschirm_links').animate({
				scrollLeft: "+=800px"
			  }, "fast");
			}

			setInterval(function() 
			{
			  links_anzeigen('<?php echo $bildschirm ?>');
			}, 5000);
			
			setInterval(function() 
			{
			  rechts_anzeigen('<?php echo $bildschirm ?>');
			}, 5000);
		</script>
</head>
<body>
	<div id="wrapper_admin" class="wrapper_admin">
<?php

menue_anzeigen();

	echo '<div id="wrapper_2" class="wrapper_2">';

	echo "<div id='scrollen_links'><button id='left-button' onclick='scroll_left()'> <<< </button></div>";
	echo '<div id="kuechenbildschirm_links">';
	
		echo '<script> links_anzeigen("'. $bildschirm .'"); </script>';			
		echo "</div>"; // Ende Links
		echo "<div id='scrollen_rechts'><button id='right-button' onclick='scroll_right()'> >>> </button></div>";
		
		echo '<div id="kuechenbildschirm_rechts">';
		echo '<script> rechts_anzeigen("'. $bildschirm .'"); </script>';
		echo "</div>"; // Ende Rechts
	echo '</div>';
?>
</div>  <!-- end of wrapper div -->
</body>












